﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MDIToolbarMerging
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Child2 child2 = new Child2();
            child2.MdiParent = this;
            child2.Show();

            Child1 child1 = new Child1();
            child1.MdiParent = this;
            child1.Show();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.LayoutMdi(MdiLayout.TileVertical);
        }

        protected override void OnMdiChildActivate(EventArgs e)
        {
            // Pre-merge processing can be done here

            base.OnMdiChildActivate(e);

            // Post-merge processing can be done here
        }

        private void Form1_MdiChildActivate(object sender, EventArgs e)
        {
            // Post-merge processing can be done here instead, if you prefer
        }
    }
}
